<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">
<head>
<%@ include file="/WEB-INF/include/include-header.jspf" %>
</head>
<body>
<center>

	<center>
	<div class="container">
	<table class="board_list">
		<colgroup>
			<col width="80%"/>
			<col width="*%"/>
		</colgroup>
		<thead>
		<tr>
			<td>
				<h2>
					파일 목록&nbsp;&nbsp;<input type="txt" id="searchKey" name="searchKey" value="${searchKey}"><input type="hidden" id="metaid" name="metaid" value="${idx}">
				</h2>
			</td>
			<td>
				&nbsp;&nbsp;<a href="#this" class="btn" id="metalist"> 메타 조회 </a>
			</td>
			<td>
				&nbsp;&nbsp; - &nbsp;&nbsp; 
			</td>
			<td>
				<a href="<c:url value='/dashboard.do'/>" class="btn btn-success" id="searchFileBtn" onclick="#"> 메타 목록 </a>
			</td>
		</tr>
		</thead>
	</table>
	
    <table class="board_list">
        <colgroup>
            <col width="10%"/>
            <col width="*"/>
            <col width="15%"/>
            <col width="20%"/>
        </colgroup>
        <thead>
            <tr>
                <th scope="col">파일 번호</th>
                <th scope="col">공유여부</th>
                <th scope="col">파일 타이틀 </th>
                <th scope="col">파일 상세</th>
                <th scope="col">파일명</th>
                <th scope="col">파일사이즈</th>
				<th scope="col">파일형태</th>
                <th scope="col">생성자</th>
                <th scope="col">생성일</th>
            </tr>
        </thead>
        <tbody>
            <c:choose>
                <c:when test="${fn:length(list) > 0}">
                    <c:forEach items="${list }" var="fileVo">
                        <tr>
                            <td>${fileVo.idx }</td>
                            <td>${fileVo.opnGb }</td>
                            <td class="title">
                                <a href="#this" name="file_title">${fileVo.fileTitle }</a>
                                <input type="hidden" id="idx" value="${fileVo.idx }">
                            </td>
                            <td>${fileVo.fileDetail }</td>
                            <td>
                            	<input type="hidden" id="idx" value="${fileVo.idx }">
                    			<a href="#this" name="file">${fileVo.originalFileName }</a>
                            </td>
                            <td>${fileVo.fileSize }</td>
							<td>${fileVo.fileType }</td>
                            <td>${fileVo.creaId }</td>
                            <td>${fileVo.creaDtm }</td>
                        </tr>
                    </c:forEach>
                </c:when>
                <c:otherwise>
                    <tr>
                        <td colspan="4">조회된 결과가 없습니다.</td>
                    </tr>
                </c:otherwise>
            </c:choose>
        </tbody>
    </table>
    </div>
    </center>
    <br/>
    
        
       <!-- 5. paging view --> 
   <center>   
        <ul class="pagination">
            <c:if test="${p.viewFirstPage ne 1}">
                <!--맨 첫페이지 이동 -->
                <li><a onclick='pagePre(0,${p.count_per_page});'>«</a></li>
                <!--이전 페이지 이동 -->
                <li><a onclick='pagePre(${p.viewFirstPage-1},${p.count_per_page});'>‹</a></li>
            </c:if>
            
            <!--페이지번호 -->
            <c:forEach var='i' begin="${p.viewFirstPage}" end="${p.viewLastPage}" step="1">
				<li class='pageIndex${i}'><a onclick='pageIndex(${i});'>${i}</a></li>
            </c:forEach>
            
            <c:if test="${p.lastChk}">
                <!--다음 페이지 이동 -->
                <li><a onclick='pageNext(${p.viewLastPage},${p.total_list_count},${p.count_per_list},${p.count_per_page});'>›</a></li>
                <!--마지막 페이지 이동 -->
                <li><a onclick='pageLast(${p.viewFirstPage},${p.total_list_count},${p.count_per_list},${p.count_per_page});'>»</a></li>
            </c:if>
        </ul>
        <form action="./paging.do" method="post" id='frmPaging'>
            <!--출력할 페이지번호, 출력할 페이지 시작 번호, 출력할 리스트 갯수 -->
            <input type='hidden' name='index' id='current_page_no' value='${p.current_page_no}'>
            <input type='hidden' name='viewFirstPage' id='viewFirstPage' value='${p.viewFirstPage}'>
            <input type='hidden' name='count_per_list' id='count_per_list' value='${p.count_per_list}'>    
        </form>
    총 메타 : ${p.total_list_count} 건 
    </center>
   <!-- 5. paging view --> 
   
   
     
    <%@ include file="/WEB-INF/include/include-body.jspf" %>
    <script type="text/javascript">
        $(document).ready(function(){
			
			
            $("#metalist").on("click", function(e){ //메타조회
                e.preventDefault();
                fn_searchMetaList();
            });
             
            $("a[name='file_title']").on("click", function(e){ //제목
                e.preventDefault();
                fn_openFileDetail($(this));
            });
            
            $("a[name='file']").on("click", function(e){ //파일 이름
            	e.preventDefault();
            	fn_downloadFile($(this));
        	});

        });
         
         
        function fn_searchMetaList(){
            var comSubmit = new ComSubmit();
            comSubmit.setUrl("<c:url value='/searchMetaList.do' />");
            comSubmit.addParam("searchKey", $("#searchKey").val());
            comSubmit.addParam("index", ${index});
            comSubmit.submit();
        }
         
        function fn_openFileDetail(obj){
			var idx = obj.parent().find("#idx").val();
            var comSubmit = new ComSubmit();
            comSubmit.setUrl("<c:url value='/fileDetail.do' />");
            comSubmit.addParam("searchKey", $("#searchKey").val());
            comSubmit.addParam("index", ${index});
			comSubmit.addParam("fileindex", ${fileindex});
            comSubmit.addParam("idx", idx);
            comSubmit.submit();
        }
        
		function fn_downloadFile(obj){
	        var idx = obj.parent().find("#idx").val();
	        var comSubmit = new ComSubmit();
	        comSubmit.setUrl("<c:url value='/common/downloadFile.do' />");
	        comSubmit.addParam("idx", idx);
	        comSubmit.submit();
	    }
				
		// index 리스트 처리
		function pageIndex(index) {
			var comSubmit = new ComSubmit();
			comSubmit.setUrl("<c:url value='/searchFileByMeta.do' />");
			
			comSubmit.addParam("idx", $("#metaid").val());
			
			comSubmit.addParam("searchKey", $("#searchKey").val());
			comSubmit.addParam("index", ${index});
            comSubmit.addParam("fileindex", index-1);
			comSubmit.submit();
		}
		
				// 이전 페이지 index
		function pagePre(firstPage, pageCnt) {
			var comSubmit = new ComSubmit();
			comSubmit.setUrl("<c:url value='/searchFileByMeta.do' />");
			comSubmit.addParam("index", ${index});
		    if (0 <= firstPage - pageCnt) {
		        //index -= pageCnt;
		        //comSubmit.addParam("pageStartNum", index);
		        comSubmit.addParam("fileindex", firstPage-1);
		        comSubmit.submit();
		    }else{
		        comSubmit.addParam("fileindex", 0);
		        comSubmit.submit();
			}
		}
		
		// 다음 페이지 index
		//pageNext(${p.current_page_no},${p.total_list_count},${p.count_per_list},${p.count_per_page});
		function pageNext(lastPage, total, listCnt, pageCnt) {
			var comSubmit = new ComSubmit();
			comSubmit.setUrl("<c:url value='/searchFileByMeta.do' />");
			comSubmit.addParam("index", ${index});
		    var totalPageCnt = Math.ceil(total / listCnt);
		    var max = Math.ceil(totalPageCnt / pageCnt);
			if (max * pageCnt >= lastPage + pageCnt) {
				//alert(lastPage);
				comSubmit.addParam("fileindex", lastPage);
		        comSubmit.submit();
		    }
		}
		
		// 마지막 페이지 index
		function pageLast(index, total, listCnt, pageCnt) {
			var comSubmit = new ComSubmit();
			comSubmit.setUrl("<c:url value='/searchFileByMeta.do' />");
			comSubmit.addParam("index", ${index});
		    var totalPageCnt = Math.ceil(total / listCnt);
		    var max = Math.ceil(totalPageCnt / pageCnt);
		    while (max * pageCnt > index + pageCnt) {
		        index += pageCnt;
		    }
		    var remainListCnt = total - listCnt * (index - 1);
		    var remainPageCnt = Math.floor(remainListCnt / listCnt);
		    if (remainListCnt % listCnt != 0) {
		        remainPageCnt++;
		    }
		    var pageLastNum = 0;
		    if (remainListCnt <= listCnt) {
		        pageLastNum = index;
		    } else if (remainPageCnt <= pageCnt) {
		        pageLastNum = remainPageCnt + index - 1;
		    } else {
		        pageLastNum = pageCnt + index - 1;
		    }
	        comSubmit.addParam("pageStartNum", index);
	        comSubmit.addParam("fileindex", pageLastNum - 1);
	        comSubmit.submit();
		}
        

        window.onload = function() {
		    // 현재번호 active
		    var current_page_no = document.getElementById("current_page_no").value;
		    var pageIndex = document.querySelector('.pageIndex'+(Number(current_page_no)+1));
		    pageIndex.setAttribute("class", "active");
		    // 리스트갯수 selected 처리
		    $("#listCount > option").each(function () {
		        if ($(this).val() == $('#listCnt').val()) {
		            $(this).prop("selected", true);
		        }
		    });
		}  
	  
    </script>
</body>
</html>