<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="ko">
<head>
<%@ include file="/WEB-INF/include/include-header.jspf" %>
</head>
<body>
	<center>
	<b>메타 및 파일 등록</b><BR><BR>
    <form id="frm" name="frm" enctype="multipart/form-data">
    <div class="container">
        <table class="board_view">
            <colgroup>
                <col width="15%">
                <col width="*"/>
            </colgroup>
            <caption>메타 및 파일 등록</caption>
            <tbody>
                <tr>
                    <th scope="row"><B>파일 요약명</B></th>
                    <td><input type="text" id="file_title" name="file_title" class="wdp_90"></input></td>
                </tr>
                <tr>
                    <td colspan="2" class="view_text">
                        <textarea rows="5" cols="100" title="내용" id="file_detail" name="file_detail"></textarea>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="view_text">
				         <select name="opn_gb">
						    <option value="N" selected>PRIVATE</option>
						    <option value="Y">OPEN</option>
						</select> ※ 주의 <br>
						<select name="file_type">
						    <option value="doc" selected>DOC</option>
						    <option value="mov">MOVIE</option>
						    <option value="muc">MUSIC</option>
						    <option value="pic">PICTURE</option>
						    <option value="exe">PROGRAM</option>
						    <option value="etc">ETC</option>
						</select>
                    </td>
                </tr>
            </tbody>
        </table>
        </div>
		
		<div id="metaDiv" class="container">
		<P>Meta : <input type="text" id="meta" name="meta" class="wdp_50"></input></P>
		</div>
		
		<input type="radio" id="uploadtype" name="uploadtype" value="file" checked onClick="fn_selectFileUploadType()"> <label for="File">File</label>
		<input type="radio" id="uploadtype" name="uploadtype" value="youtube" onClick="fn_selectYouTubeUploadType()"> <label for="YouTuBe">YouTuBe</label>
		
		<div id="file_download" class="container">
			<table class="file_view">
				<tbody>
					<tr>
					<input type="file" id="file" name="file_0">
					<tr>
				</tbody>
			</table>
		</div>
		<div id="youtube_download" class="container">
			<table class="file_view">
				<tbody>
					<tr>
					Youtube URL:<input type="text" id="youtubeurl" name="youtubeurl" class="wdp_50"></input></P>
					<tr>
				</tbody>
			</table>
		</div>
		
		
		</center>
         
        <br/><br/>
        <center>
        <a href="#this" class="btn" id="addFile">메타추가</a>
        <a href="#this" class="btn" id="write">작성하기</a>
        <a href="#this" class="btn" id="list">목록으로</a>
        </center>
    </form>
     
    <%@ include file="/WEB-INF/include/include-body.jspf" %>
    <script type="text/javascript">
        var gfv_count = 1;
		//$("#file_download").css("display", "none");
		$("#youtube_download").css("display", "none");
     
        $(document).ready(function(){
            $("#list").on("click", function(e){ //목록으로 버튼
                e.preventDefault();
                fn_openBoardList();
            });
             
            $("#write").on("click", function(e){ //작성하기 버튼
                e.preventDefault();
				if ($("#uploadtype:checked").val() == 'file' && $('#file').val() == ''){
                	alert("Please Upload file !"); 
                	return;					
                }else if ($("#uploadtype:checked").val() == 'youtube' && $('#youtubeurl').val() == ''){
                	alert("Please YouTuBe URL !"); 
                	return;
                }else{					
					fn_insertBoard(); 
				}				
            }); 	
             
            $("#addFile").on("click", function(e){ //파일 추가 버튼
                e.preventDefault();
                fn_addFile();
            });
             
            $("a[name='delete']").on("click", function(e){ //삭제 버튼
                e.preventDefault();
                fn_deleteFile($(this));
            });

        });
         
        function fn_openBoardList(){
            var comSubmit = new ComSubmit();
            comSubmit.setUrl("<c:url value='/searchMetaList.do' />");
            comSubmit.submit();
        }
         
        function fn_insertBoard(){
            var comSubmit = new ComSubmit("frm");
            if(confirm("Write this article ? ")){
				comSubmit.setUrl("<c:url value='/insertMeta.do' />");
				comSubmit.addParam("uploadfiletype", $("#uploadtype:checked").val());
				comSubmit.submit();
				return;
			}else{
				return;
			}
        }
        
         function fn_addFile(){
            var str = "<P>Meta : <input type='text' id='meta' name='meta' class='wdp_50'></input> <a href='#this' class='btn' name='delete'>삭제</a></P>";
            $("#metaDiv").append(str);
            $("a[name='delete']").on("click", function(e){ //삭제 버튼
                e.preventDefault();
                fn_deleteFile($(this));
            });
        }
		         
        function fn_deleteFile(obj){
            obj.parent().remove();
        }
		
		function fn_selectFileUploadType(){
			$("#youtube_download").css("display", "none");
			$("#file_download").css("display", "block");
			//alert($("#uploadtype:checked").val());
		}
		function fn_selectYouTubeUploadType(){
			$("#file_download").css("display", "none");
			$("#youtube_download").css("display", "block");
			//alert($("#uploadtype:checked").val());
		}
    </script>
</body>
</html>