<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%> 
<!DOCTYPE html> 
<html> 
	<head> 
	<%@ include file="/WEB-INF/include/include-header.jspf" %>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"> 
	<title>${ message }</title> 
	</head> 
	<body>
	<BR>
		<table> 
		<tr>
			<th scope="row">시스템명</th>
			<td>메타 기준 지식 자원 관리 시스템</td>
		</tr>
		<tr>
			<th scope="row" class="even">설명</th>
			<td class="even">${ message } by ${ userid }</td>
		</tr>
		<tr>
			<th scope="row" class="even">입장</th>
			<td class="even"><B><a href="#this" class="btn" id="enter">들어가기</a></B></td>
		</tr>
		<tr>
			<th scope="row">개발중</th>
			<td>
				- 로그인<br>
				- 첨부파일 상세 수정 
			</td>
		</tr>
		<tr>
			<th scope="row">참고 URL</th>
			<td>
				https://handcoding.tistory.com/15
			</td>
		</tr>
		</table>
	
	<%@ include file="/WEB-INF/include/include-body.jspf" %>
	<script type="text/javascript">
		$(document).ready(function(){
			$("#enter").on("click", function(e){ //글쓰기 버튼
				e.preventDefault();
				fn_MetaList();
			});
			
			$("a[name='title']").on("click", function(e){ //제목
				e.preventDefault();
				fn_searchFileByMeta($(this));
			});
			
		});

		// index 리스트 처리
		function fn_MetaList() {
			var comSubmit = new ComSubmit();
			comSubmit.setUrl("<c:url value='/searchMetaList.do' />");
			comSubmit.addParam("index", "0");
			comSubmit.submit();
		}
		
	</script>
	</body> 
</html>

